
/* CSS for pagination of product list */
.dataTables_paginate.paging_full_numbers {
    display: flex;
    align-items: center;
    justify-content: center;
}

.c-search-lineup .lineup-nav .pagination .first,
.c-search-lineup .lineup-nav .pagination .previous,
.c-search-lineup .lineup-nav .pagination .next,
.c-search-lineup .lineup-nav .pagination .last {
    border: none;
    background: none;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
}

.c-search-lineup .lineup-nav .pagination .first {
    width: 15px;
    height: 16.25px;
    background-image: url(/assets/images/product/pagination_arrow_d.svg);
}

.c-search-lineup .lineup-nav .pagination .previous {
    width: 10px;
    height: 16.25px;
    margin-left: 10px;
    background-image: url(/assets/images/product/pagination_arrow_s.svg);
}

.c-search-lineup .lineup-nav .pagination .next {
    width: 10px;
    height: 16.25px;
    transform: scale(-1, 1);
    background-image: url(/assets/images/product/pagination_arrow_s.svg);
}

.c-search-lineup .lineup-nav .pagination .last {
    width: 15px;
    height: 16.25px;
    margin-left: 10px;
    transform: scale(-1, 1);
    background-image: url(/assets/images/product/pagination_arrow_d.svg);
}

.c-search-lineup .lineup-nav .pagination a:not(.first):not(.previous):not(.next):not(.last) {
    height: 32px;
    padding: 2px 12px;
    color: #333333;
    font-size: 1.5rem;
    line-height: 1.6;
    cursor: pointer;
}

.c-search-lineup .lineup-nav .pagination a.current {
    background-color: #e5e5e5;
}

/* CSS for filter area of product list */
.c-search-lineup .head .filter label span {
    background: url(/assets/images/product/filter.svg) no-repeat 11px 50%;
}

.c-search-lineup .head .filter label a {
    top: 12px;
    left: 98px;
}

html[lang="en"] .c-search-lineup .head .filter label a {
    left: 78px;
}

html[lang="zh-hans"] .c-search-lineup .head .filter label a {
    left: 85px;
}

.c-search-lineup .head .filter label input {
    left: 130px;
}

html[lang="en"] .c-search-lineup .head .filter label input {
    left: 110px;
}

html[lang="zh-hans"] .c-search-lineup .head .filter label input {
    left: 117px;
}

.c-search-lineup .head {
    background: #808080;
}

/* CSS for sorting buttons of product list */
.sorting {
    background: url(/assets/images/product/sort.svg) #f5f5f5 no-repeat center bottom 5px;
}

.sorting_asc {
    background: url(/assets/images/product/sort_asc.svg) #f5f5f5 no-repeat center bottom 5px;
}

.sorting_desc {
    background: url(/assets/images/product/sort_desc.svg) #f5f5f5 no-repeat center bottom 5px;
}

/* CSS for datasheet and inventory icons of product list */
.c-search-lineup table th.ttl02 .inner {
    padding-right: 70px;
    column-gap: 8px;
    align-items: center;
}

.c-search-lineup table th.ttl02 .pdf img {
    width: 18px;
}

.c-search-lineup table th.ttl02 .search_jp {
    display: flex;
    align-items: center;
    justify-content: end;
    border-radius: 2px;
    min-width: 60px;
    height: 26px;
    padding: 0 9px 0 7px;
    background: url(/assets/images/product/icon_stock.svg) no-repeat left 7px center / 14px 13.18px;
    background-color: #377a3d;
    color: #ffffff;
    font-size: 1.3rem;
}

.c-search-lineup table th.ttl02 .search_jp:hover {
    text-decoration: none;
}

.c-search-lineup table th.ttl02 .search_jp span {
    padding-left: 18px;
}

.c-search-lineup table th.ttl02 .search_en {
    display: flex;
    align-items: center;
    justify-content: end;
    border-radius: 2px;
    min-width: 60px;
    height: 26px;
    padding: 0 9px 0 7px;
    background: url(/assets/images/product/icon_stock.svg) no-repeat left 7px center / 14px 13.18px;
    background-color: #377a3d;
    color: #ffffff;
    font-size: 1.3rem;
}

.c-search-lineup table th.ttl02 .search_en:hover {
    text-decoration: none;
}

.c-search-lineup table th.ttl02 .search_en span {
    padding-left: 18px;
}

.c-search-lineup table th.ttl02 .search_ch {
    display: flex;
    align-items: center;
    justify-content: end;
    border-radius: 2px;
    min-width: 60px;
    height: 26px;
    padding: 0 9px 0 7px;
    background: url(/assets/images/product/icon_stock.svg) no-repeat left 7px center / 14px 13.18px;
    background-color: #377a3d;
    color: #ffffff;
    font-size: 1.3rem;
}

.c-search-lineup table th.ttl02 .search_ch:hover {
    text-decoration: none;
}

.c-search-lineup table th.ttl02 .search_ch span {
    padding-left: 18px;
}

.c-search-lineup table th.ttl02 .ttl, .c-search-lineup table th.ttl02 .name {
    margin-right: auto;
}

.c-search-lineup table th.ttl02 .pdf {
    margin-right: 0;
    position: static;
}

/* CSS for product name column of product list */
.c-search-lineup table tr:nth-child(odd) th.ttl02 {
    background: #FFF;
}

.c-search-lineup table tr:nth-child(even) th.ttl02 {
    background: #f2f2f2;
}

.c-search-lineup table th.ttl02 .ttl {
    text-decoration: none;
    color: #15518c;
}

.c-search-lineup table th.ttl02 .ttl:hover {
    text-decoration: underline;
}

/* CSS for status tag of product list */
.c-search-lineup table td .ico-status {
    border-color: #333333;
    border-radius: 2px;
    background-color: #ffffff;
    color: #333333;
    width: 80px;
    padding: 6px 2px;
}

.c-search-lineup table td .ico-status.new {
    border-color: #15518c;
    background-color: #15518c;
    color: #ffffff;
}

.c-search-lineup table td .ico-status.active {
    border-color: #23468c;
    color: #23468c;
}

.c-search-lineup table td .ico-status.preview {
    border-color: #377a3d;
    color: #377a3d;
}

.c-search-lineup table td .ico-status.nrnd {
    border-color: #cc0b0a;
    color: #cc0b0a;
}

.c-search-lineup table td .ico-status.obsolete {
    border-color: #808080;
    color: #808080;
}

/* CSS for lines on both sides of product list */
.c-search-lineup table th:first-child {
    border-left: none;
}

.c-search-lineup table th:last-child {
    border-right: none;
}

/* CSS for question mark next to status of product list */

.c-search-lineup table th:has(a.q) {
    min-width: 106px;
    position: relative;          
    padding-right: 40px !important; 
    text-align: center;
    white-space: nowrap;
}

.c-search-lineup table th a.q {
    position: absolute;
    top: 30%;
    right: 18px;
    transform: translateY(-50%);
}

@media screen and (max-width: 750px) {
    /* CSS for filter area of product list */
    .c-search-lineup .head .filter label a {
        top: 2px;
    }

    /* CSS for pagination of product list */
    .c-search-lineup .lineup-nav .pagination {
        width: auto;
    }
}



